<h1>tarjeta de credito</h1>
<div class="container">
  <form [formGroup]="form" (ngSubmit)="crearTarjeta()">
    <div class="agregar">
      <mat-form-field appearance="fill" class="corregido">
        <mat-label>Titular</mat-label>
          <input matInput
          formControlName="nombre"
          class="inputTitular"
          >
          <span matPrefix><i class="fa-solid fa-circle-user" 
            id="icono1"
            [class.green-icon]="this.form.get('nombre')?.valid"
            [class.red-icon]="this.form.get('nombre')?.invalid && this.form.get('nombre')?.touched"
            ></i></span>
       </mat-form-field>
<br>
       <mat-form-field appearance="fill" class="corregido">
        <mat-label>Número de Tarjeta</mat-label>
        <input matInput [type]="hide ? 'password' : 'text'"
        formControlName="numTarjeta"
        maxlength="12"
        >
        <span matPrefix><i class="fa-solid fa-credit-card" 
          id="icono1"
          [class.green-icon]="this.form.get('numTarjeta')?.valid"
          [class.red-icon]="this.form.get('numTarjeta')?.invalid && this.form.get('numTarjeta')?.touched"
          ></i></span>
        <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
          <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
        </button>
      </mat-form-field>
      <br>
      <mat-form-field appearance="fill" class="corregido1">
        <mat-label>Fecha de expiración</mat-label>
          <input matInput
          placeholder="MM/YY"
          formControlName="fechaActual"
          maxlength="5"
          >
          <span matPrefix><i class="fa-solid fa-calendar-days" 
            id="icono1"
            [class.green-icon]="this.form.get('fechaActual')?.valid"
            [class.red-icon]="this.form.get('fechaActual')?.invalid && this.form.get('fechaActual')?.touched"
            ></i></span>
       </mat-form-field>
       <mat-form-field appearance="fill" class="Input-space">
        <mat-label>Llave</mat-label>
          <input matInput
          type="password"
          placeholder="CVV"
          formControlName="position"
          maxlength="3"
          >
          <span matPrefix><i class="fa-solid fa-key" 
            id="icono1"
            [class.green-icon]="this.form.get('position')?.valid"
            [class.red-icon]="this.form.get('position')?.invalid && this.form.get('position')?.touched"
            ></i></span>
       </mat-form-field>
        <br>
       <button mat-raised-button 
       class="corregido" 
       id="color"
       type="submit"
       [disabled]="form.invalid"
       >
        <span matPrefix><i class="fa-solid fa-database" id="icono1"></i></span>
        Aceptar
       </button>
       

    </div>
  </form>
</div>